> ## Documentation Index > Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt > Use this file to discover all available pages before exploring further. # Create list > Used to create a new list. Review our [dedicated guide](https://docs.xtremepush.com/docs/create-a-user-list) for more information on user lists.
**Identifier options** * user_id * external_id * profile_id * email * mobile_number * device_id - first android ID or IDFV collected * device_idfv - current IDFV * device_anid - current Android ID * device_idfa - IDFA * device_adid - Android Ad ID * token - Push Token ## OpenAPI ````json POST /create/list { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/create/list": { "post": { "summary": "Create list", "description": "Used to create a new list. Review our [dedicated guide](https://docs.xtremepush.com/docs/create-a-user-list) for more information on user lists.\n\n
\n\n**Identifier options**\n\n* user_id\n* external_id\n* profile_id\n* email\n* mobile_number\n* device_id - first android ID or IDFV collected\n* device_idfv - current IDFV\n* device_anid - current Android ID\n* device_idfa - IDFA\n* device_adid - Android Ad ID\n* token - Push Token", "operationId": "list-create", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "title" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "title": { "type": "string", "description": "Title of the list" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "message": { "type": "string", "example": "List is successfully created" }, "model": { "type": "object", "properties": { "id": { "type": "integer", "example": "3810889", "default": "0" }, "project_id": { "type": "string", "example": "PROJECT_ID" }, "name": { "type": "string", "example": "External users" }, "identifier": { "type": "string", "example": "user_id" }, "external_id": {}, "suppress": {} } } } }, "examples": { "Result": { "value": { "success": "true", "code": "200", "message": "List is successfully created", "model": { "id": "3810889", "project_id": "PROJECT_ID", "name": "External users", "identifier": "user_id" } } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "List is not created" }, "errors": { "type": "object", "properties": { "name": { "type": "array", "items": { "type": "string", "example": "Name cannot be blank." } }, "identifier": { "type": "array", "items": { "type": "string", "example": "Identifier cannot be blank." } } } } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "List is not created", "errors": { "name": [ "Name cannot be blank." ], "identifier": [ "Identifier cannot be blank." ] } } } } } } } }, "tags": [ "List Methods" ] } } } } ````